API ReferenceJSON credential configuration
Retrieve a JSON credentials configuration
GET
/v2/credentials/web-semantic/configurations/{id}Retrieve a JSON credentials configuration by providing its ID.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_RETRIEVE_STARTCREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_RETRIEVE_SUCCESSCREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
JSON credentials configuration unique identifier
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/credentials/web-semantic/configurations/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "type": "string", "additionalTypes": [ "string" ], "contexts": [ "string" ], "issuer": { "name": "string", "logoUrl": "string", "iconUrl": "string" }, "proofType": "Ed25519Signature2018", "credentialBranding": { "backgroundColor": "string", "watermarkImageUrl": "string" }, "claimMappings": { "property1": { "mapFrom": "string", "required": true, "defaultValue": "string" }, "property2": { "mapFrom": "string", "required": true, "defaultValue": "string" } }, "persist": false, "revocable": true, "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60", "expiresIn": { "years": 0, "months": 0, "weeks": 0, "days": 0, "hours": 0, "minutes": 0, "seconds": 0 }}How would you rate this page?